

<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8">
<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
<title>Extent Report</title>
<link rel="apple-touch-icon" href="https://cdn.jsdelivr.net/gh/extent-framework/extent-github-cdn@b00a2d0486596e73dd7326beacf352c639623a0e/commons/img/logo.png">
<link rel="shortcut icon" href="https://cdn.jsdelivr.net/gh/extent-framework/extent-github-cdn@b00a2d0486596e73dd7326beacf352c639623a0e/commons/img/logo.png">
<link href="https://cdn.jsdelivr.net/gh/extent-framework/extent-github-cdn@d6562a79075e061305ccfdb82f01e5e195e2d307/spark/css/spark-style.css" rel="stylesheet" />
<link href="https://stackpath.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css" rel="stylesheet">
<script src="https://cdn.jsdelivr.net/gh/extent-framework/extent-github-cdn@7cc78ce/spark/js/jsontree.js"></script>
<style type="text/css"></style></head><body class="spa bdd-report standard">
  <div class="app">
    <div class="layout">
<div class="header navbar">
<div class="vheader">
<div class="nav-logo">
<a href="#">
<div class="logo" style="background-image: url('https://cdn.jsdelivr.net/gh/extent-framework/extent-github-cdn@b00a2d0486596e73dd7326beacf352c639623a0e/commons/img/logo.png')"></div>
</a>
</div>
<ul class="nav-left">
<li class="search-box">
<a class="search-toggle" href="#">
<i class="search-icon fa fa-search"></i>
<i class="search-icon-close fa fa-close"></i>
</a>
</li>
<li class="search-input"><input id="search-tests" class="form-control" type="text" placeholder="Search..."></li>
</ul>
<ul class="nav-right">
<li class="m-r-10">
<a href="#"><span class="badge badge-primary">EasyMyTrip.com Report</span></a>
</li>
<li class="m-r-10">
<a href="#"><span class="badge badge-primary">Mar 26, 2024 06:20:49 pm</span></a>
</li>
</ul>
</div>
</div><div class="side-nav">
<div class="side-nav-inner">
<ul class="side-nav-menu">
<li class="nav-item dropdown" onclick="toggleView('test-view')">
<a id="nav-test" class="dropdown-toggle" href="#">
<span class="ico"><i class="fa fa-list"></i></span>
</a>
</li>
<li class="nav-item dropdown" onclick="toggleView('exception-view')">
<a id="nav-exception" class="dropdown-toggle" href="#">
<span class="ico"><i class="fa fa-bug"></i></span>
</a>
</li>
<li class="nav-item dropdown" onclick="toggleView('category-view')">
<a id="nav-category" class="dropdown-toggle" href="#">
<span class="ico"><i class="fa fa-tag"></i></span>
</a>
</li>
<li class="nav-item dropdown" onclick="toggleView('dashboard-view')">
<a id="nav-dashboard" class="dropdown-toggle" href="#">
<span class="ico"><i class="fa fa-bar-chart"></i></span>
</a>
</li>
</ul>
</div>
</div>      <div class="vcontainer">
        <div class="main-content">
<div class="test-wrapper row view test-view">
  <div class="test-list">
    <div class="test-list-tools">
<ul class="tools pull-left">
<li><a href="#"><span class="font-size-14">Tests</span></a></li>
</ul>
<ul class="tools text-right">
<li class="dropdown">
<a href="#" class="dropdown-toggle" data-toggle="dropdown"><i class="fa fa-exclamation-circle"></i></a>
<ul id="status-toggle" class="dropdown-menu dropdown-md p-v-0">
<a class="dropdown-item" status="fail" href="#"><span>Fail</span><span class="status danger"></span></a>
<div class="dropdown-divider"></div>
<a status="clear" class="dropdown-item" href="#"><span>Clear</span><span class="pull-right"><i class="fa fa-close"></i></span></a>
</ul>
</li>
<li class="dropdown">
<a href="#" class="dropdown-toggle" data-toggle="dropdown"><i class="fa fa-tag"></i></a>
<ul id="tag-toggle" class="dropdown-menu dropdown-md p-v-0">
<a class="dropdown-item" href="#">@bookticket</a>
</ul>
</li>
</ul>
</div>    <div class="test-list-wrapper scrollable">
      <ul class="test-list-item">
        <li class="test-item"  status="fail" test-id="1"
          author=""
          tag=""
          device="">
          <div class="test-detail">
            <p class="name">This feature is to book flight  ticket</p>
            <p class="text-sm">
              <span>6:20:50 pm</span> / <span>00:00:03:550</span>
              <span class="badge fail-bg log float-right">Fail</span>
            </p>
          </div>
          <div class="test-contents d-none">
<div class="detail-head">
<div class="p-v-10">
<div class="info">
<h5 class="test-status text-fail">This feature is to book flight ticket</h5>
<span class='badge badge-success'>03.26.2024 6:20:50 pm</span>
<span class='badge badge-danger'>03.26.2024 6:20:53 pm</span>
<span class='badge badge-default'>00:00:03:550</span>
&middot; <span class='uri-anchor badge badge-default'>#test-id=1</span>
<span class='badge badge-default pointer float-right ml-1 et'><i class="fa fa-chevron-down"></i></span>
<span class='badge badge-default pointer float-right ct'><i class="fa fa-chevron-up"></i></span>
</div>
<div class="m-t-10 m-l-5"></div>
</div>
</div>
<div class="accordion mt-4">
  <div class="card">
    <div class="card-header" role="tab">
      <div class="card-title">
        <div class="node" id="2"><span class="badge log fail-bg mr-2">Fail</span>This test is to verify ticket booking for national trip</div>
      </div>
    </div>
        <div class="">
          <div class="card-body">
              <div class="step pass-bg" title="com.arshad.StepDefinition.FlightTicketStepDef.user_can_navigate_to_easymytrip_com_in_browser()">
                <span>When user can navigate to easymytrip.com in browser</span>
      <div>
      </div>
              </div>
              <div class="step pass-bg" title="com.arshad.StepDefinition.FlightTicketStepDef.user_select_from_and_to_airport()">
                <span>Given user select from and to airport</span>
      <div>
      </div>
              </div>
              <div class="step pass-bg" title="com.arshad.StepDefinition.FlightTicketStepDef.user_can_select_no_of_passenegers_and_select_class()">
                <span>And user can select no.of passenegers and select class</span>
      <div>
      </div>
              </div>
              <div class="step pass-bg" title="com.arshad.StepDefinition.FlightTicketStepDef.user_checks_filter_options_and_select_desired_flight_and_select_booknow()">
                <span>And User checks filter options and select desired flight and select booknow</span>
      <div>
      </div>
              </div>
              <div class="step pass-bg" title="com.arshad.StepDefinition.FlightTicketStepDef.user_must_fill_passenger_details()">
                <span>And user must fill passenger details</span>
      <div>
      </div>
              </div>
              <div class="step fail-bg" title="com.arshad.StepDefinition.FlightTicketStepDef.user_may_selects_desired_seats_and_click_Continue_Booking()">
                <span>And user may selects desired seats and click Continue Booking</span>
      <div>
        <textarea disabled class="code-block">java.lang.NullPointerException: Cannot invoke "org.openqa.selenium.WebDriver.manage()" because "this.driver" is null
	at com.arshad.StepDefinition.FlightTicketStepDef.user_may_selects_desired_seats_and_click_Continue_Booking(FlightTicketStepDef.java:152)
	at ✽.user may selects desired seats and click Continue Booking(file:///F:/Testing%20Docs/Test%20Demo%20Automation%20Folder/EasyMyTrip.Com1/src/test/resources/FeatureFiles/FlightTicket.feature:10)
</textarea>
      
      </div>
              </div>
              <div class="step skip-bg" title="com.arshad.StepDefinition.FlightTicketStepDef.user_should_see_the_payment_page_now()">
                <span>Then user should see the payment page now</span>
      <div>Step skipped
      </div>
              </div>
              <div class="step fail-bg" title="AFTER">
                <span>com.arshad.CommonStepDefinition.commonstepdef.takeScreenshot(io.cucumber.java.Scenario)</span>
      <div>
        <textarea disabled class="code-block">java.lang.NullPointerException: Cannot invoke "org.openqa.selenium.SearchContext.findElement(org.openqa.selenium.By)" because "this.searchContext" is null
	at org.openqa.selenium.support.pagefactory.DefaultElementLocator.findElement(DefaultElementLocator.java:70)
	at org.openqa.selenium.support.pagefactory.internal.LocatingElementHandler.invoke(LocatingElementHandler.java:39)
	at jdk.proxy2/jdk.proxy2.$Proxy37.isDisplayed(Unknown Source)
	at com.arshad.CommonStepDefinition.commonstepdef.takeScreenshot(commonstepdef.java:57)
</textarea>
      
      </div>
              </div>
          </div>
        </div>
  </div>
</div>
          </div>
        </li>
      </ul>
    </div>
  </div>
<div class="test-content scrollable">
<div class="test-content-tools">
<ul><li><a class="back-to-test" href="#"><i class="fa fa-arrow-left"></i></a></li></ul>
</div>
<div class="test-content-detail"><div class="detail-body"></div></div>
</div></div>
<div class="test-wrapper row view exception-view attributes-view">
<div class="test-list">
<div class="test-list-tools">
<ul class="tools pull-left"><li><a href=""><span class="font-size-14">Exception</span></a></li></ul>
<ul class="tools text-right"><li><a href="#"><span class="badge badge-primary">1</span></a></li></ul>
</div>
<div class="test-list-wrapper scrollable">
<ul class="test-list-item">
<li class="test-item">
<div class="test-detail">
<span class="meta">
<span class='badge log badge-danger'>2</span>
</span>
<p class="name">java.lang.NullPointerException</p>
<p class="duration text-sm">2 tests</p>
</div>
<div class="test-contents d-none">
<div class="info">
<h4>java.lang.NullPointerException</h4>
<span status="fail" class='badge log badge-danger'>2 failed</span>
</div>
<table class='table table-sm mt-4'>
<thead>
<tr>
<th class="status-col">Status</th>
<th class="timestamp-col">Timestamp</th>
<th>TestName</th>
</tr>
</thead>
<tbody>
<tr class="tag-test-status" status="fail">
<td><span class="badge log fail-bg">Fail</span></td>
<td>18:20:53 pm</td>
<td>
<a href="#" class="linked" test-id='1' id='9'>And user may selects desired seats and click Continue Booking</a>
<div class="">
<span class="badge badge-default">This feature is to book flight ticket.This test is to verify ticket booking for national trip.And user may selects desired seats and click Continue Booking</span>
</div>
</td>
</tr>
<tr class="tag-test-status" status="fail">
<td><span class="badge log fail-bg">Fail</span></td>
<td>18:20:53 pm</td>
<td>
<a href="#" class="linked" test-id='1' id='11'>com.arshad.CommonStepDefinition.commonstepdef.takeScreenshot(io.cucumber.java.Scenario)</a>
<div class="">
<span class="badge badge-default">This feature is to book flight ticket.This test is to verify ticket booking for national trip.com.arshad.CommonStepDefinition.commonstepdef.takeScreenshot(io.cucumber.java.Scenario)</span>
</div>
</td>
</tr>
</tbody>
</table>
</div>
</li>
</ul>
</div>
</div>
<div class="test-content scrollable">
<div class="test-content-detail">
<div class="detail-body"></div>
</div>
</div>
</div><div class="test-wrapper row view category-view attributes-view">
<div class="test-list">
<div class="test-list-tools">
<ul class="tools pull-left"><li><a href=""><span class="font-size-14">Category</span></a></li></ul>
<ul class="tools text-right"><li><a href="#"><span class="badge badge-primary">1</span></a></li></ul>
</div>
<div class="test-list-wrapper scrollable">
<ul class="test-list-item">
<li class="test-item">
<div class="test-detail">
<span class="meta">
<span class='badge log badge-danger'>1</span>
</span>
<p class="name">@bookticket</p>
<p class="duration text-sm">1 tests</p>
</div>
<div class="test-contents d-none">
<div class="info">
<h4>@bookticket</h4>
<span status="fail" class='badge log badge-danger'>1 failed</span>
</div>
<table class='table table-sm mt-4'>
<thead>
<tr>
<th class="status-col">Status</th>
<th class="timestamp-col">Timestamp</th>
<th>TestName</th>
</tr>
</thead>
<tbody>
<tr class="tag-test-status" status="fail">
<td><span class="badge log fail-bg">Fail</span></td>
<td>18:20:50 pm</td>
<td>
<a href="#" class="linked" test-id='1' id='2'>This test is to verify ticket booking for national trip</a>
<div class="">
<span class="badge badge-default">This feature is to book flight ticket.This test is to verify ticket booking for national trip</span>
</div>
</td>
</tr>
</tbody>
</table>
</div>
</li>
</ul>
</div>
</div>
<div class="test-content scrollable">
<div class="test-content-detail">
<div class="detail-body"></div>
</div>
</div>
</div><div class="container-fluid p-4 view dashboard-view">
<div class="row">
<div class="col-md-3">
<div class="card"><div class="card-body">
<p class="m-b-0">Started</p>
<h3>Mar 26, 2024 06:20:49 pm</h3>
</div></div>
</div>
<div class="col-md-3">
<div class="card"><div class="card-body">
<p class="m-b-0">Ended</p>
<h3>Mar 26, 2024 06:20:53 pm</h3>
</div></div>
</div>
<div class="col-md-3">
<div class="card"><div class="card-body">
<p class="m-b-0 text-pass">Features Passed</p>
<h3>0</h3>
</div></div>
</div>
<div class="col-md-3">
<div class="card"><div class="card-body">
<p class="m-b-0 text-fail">Features Failed</p>
<h3>1</h3>
</div></div>
</div>
</div>
<div class="row">
<div class="col-md-4">
<div class="card">
<div class="card-header">
<h6 class="card-title">Features</h6>
</div>
<div class="card-body">
<div class="">
<canvas id='parent-analysis' width='115' height='90'></canvas>
</div>
</div>
<div class="card-footer">
<div><small data-tooltip='0%'>
<b>0</b> features passed
</small>
</div>
<div>
<small data-tooltip='100%'><b>1</b> features failed,
<b>0</b> skipped, <b data-tooltip='0%'>0</b> others
</small>
</div>
</div>
</div>
</div>
<div class="col-md-4">
<div class="card">
<div class="card-header">
<h6 class="card-title">Scenarios</h6>
</div>
<div class="card-body">
<div class="">
<canvas id='child-analysis' width='115' height='90'></canvas>
</div>
</div>
<div class="card-footer">
<div><small data-tooltip='0%'><b>0</b> scenarios passed</small></div>
<div>
<small data-tooltip='100%'><b>1</b> scenarios failed,
<b>0</b> skipped, <b data-tooltip='%'>0</b> others
</small>
</div>
</div>
</div>
</div>
<div class="col-md-4">
<div class="card">
<div class="card-header">
<h6 class="card-title">Steps</h6>
</div>
<div class="card-body">
<div class="">
<canvas id='grandchild-analysis' width='115' height='90'></canvas>
</div>
</div>
<div class="card-footer">
<div><small data-tooltip='62%'><b>5</b> steps passed</small></div>
<div>
<small data-tooltip='25%'><b>2</b> steps failed,
<b>1</b> skipped, <b data-tooltip='%'>0</b> others
</small>
</div>
</div>
</div>
</div>
</div>
<div class="row"><div class="col-md-12">
<div class="card"><div class="card-header"><p>Timeline</p></div>
<div class="card-body pt-0"><div>
<canvas id="timeline" height="120"></canvas>
</div></div>
</div>
</div></div>
<script>
var timeline = {
"This feature is to book flight ticket":3.55
};
</script>
<div class="row">
<div class="col-lg-6 col-md-12 category-container">
<div class="card">
<div class="card-header"><p>Tags</p></div>
<div class="card-body pb-0 pt-0"><table class="table table-sm table-bordered">
<thead><tr class="bg-gray"><th>Name</th><th>Passed</th><th>Failed</th><th>Skipped</th><th>Others</th><th>Passed %</th></tr></thead><tbody>
<tr>
<td>@bookticket</td>
<td>0</td>
<td>1</td>
<td>0</td>
<td>0</td>
<td>0%</td>
</tr>
</tbody>
</table></div>
</div>
</div>
</div>
</div>
<script>
var statusGroup = {
parentCount: 5,
passParent: 0,
failParent: 1,
warningParent: 0,
skipParent: 0,
childCount: 5,
passChild: 0,
failChild: 1,
warningChild: 0,
skipChild: 0,
infoChild: 0,
grandChildCount: 5,
passGrandChild: 5,
failGrandChild: 2,
warningGrandChild: 0,
skipGrandChild: 1,
infoGrandChild: 0,
eventsCount: 5,
};
</script>        </div>
      </div>
    </div>
  </div>
<script src="https://cdn.jsdelivr.net/gh/extent-framework/extent-github-cdn@d6562a79075e061305ccfdb82f01e5e195e2d307/spark/js/spark-script.js"></script>
<script type="text/javascript"></script></body>
</html>